<?php
	/*
	 * validateDate
	 * prüft, ob Datumsstring korrekt angegeben wurde
	 * 
	 * @access  public
	 * 
	 * @param string $datum
	 * @return bool
	 */
	function validateDate($datum)
	{
		if(preg_match("/^20[0-9]{2}-(0[0-9]|1[012])-([012][0-9]|3[01])$/", $datum))
			return true;
		else
			return false;		
	}
	

	
	/*
	 * validateUrl()
	 * Prüft URL auf Richtigkeit
	 * 
	 * @access public
	 * 
	 * @param string $url URL
	 * @return bool
	 */
	function validateUrl($url) 
	{
		//muss mit http(s):// beginnen: ^(https?):\/\/
		//dann Buchstaben, ziffern, "_""-": ([A-Z0-9_\-]+)
		//"." und wieder Buchstaben oder Ziffern, das ganze ruhig mehrmals: (\.[A-Z0-9_\-]+)+
		//keine Leerzeichen, aber Parameterübergabe erlauben: ([\S,:\/\.\?=A-Z0-9_\-]+)
		//Case insensitive: /i
		if(preg_match("/^(https?):\/\/([A-Z0-9_\-]+)(\.[A-Z0-9_\-]+)+([\S,:\/\.\?=A-Z0-9_\-]+)/i", $url))
    	return true;
		else 
			return false;
	}

?> 
