<?php

	/*
	 * validateEmail()
	 * prüft Email-Addressen
	 * 
	 * @access public
	 * 
	 * @param string $email Email-Adresse
	 * @return bool
	 */
	function validateEmail($email)
	{
		if(preg_match("/^[a-z0-9!#\$%&'\*\+\/=\?\^_`\{\|\}~-]+(?:\.[a-z0-9!#\$%&'\*\+\/=\?\^_`\{\|\}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+(?:[a-zA-Z]{2}|com|org|net|edu|gov|mil|biz|info|mobi|name|aero|asia|jobs|museum)$/", $email))
	 		return true;
	 	else
	 		return false;
	}
	
	/*
	 * date_mask_de($datum)
	 * macht das Datum schön
	 * 
	 * @param string $datum 
	 * @param string $lang, Sprache (de,pl,...)
	 * return string
	 */
	function date_mask($datum, $lang) 
	{
		$monate = array //Monate auf Deutsch und Polnisch, erweiterbar
		(
		'jan'=>array('de'=>'Januar','pl'=>'stycznia'),
		'feb'=>array('de'=>'Februar','pl'=>'lutego'),
		'mar'=>array('de'=>'M&auml;rz','pl'=>'marca'),
		'apr'=>array('de'=>'April','pl'=>'kwietnia'),
		'mai'=>array('de'=>'Mai','pl'=>'maja'),
		'jun'=>array('de'=>'Juni','pl'=>'czerwca'),
		'jul'=>array('de'=>'Juli','pl'=>'lipca'),
		'aug'=>array('de'=>'August','pl'=>'sierpnia'),
		'sep'=>array('de'=>'September','pl'=>'wrze&#347;nia'),
		'okt'=>array('de'=>'Oktober','pl'=>'pa&#380;dziernika'),
		'nov'=>array('de'=>'November','pl'=>'listopada'),
		'dez'=>array('de'=>'Dezember','pl'=>'grudnia'),
		);
		$datum_neu = explode("-",$datum);
		switch($datum_neu[1]) {
			case "01":
				$datum_neu[1] = $monate['jan'][$lang];
				break;
			case "02":
				$datum_neu[1] = $monate['feb'][$lang];
				break;
			case "03":
				$datum_neu[1] = $monate['mar'][$lang];
				break;
			case "04":
				$datum_neu[1] = $monate['apr'][$lang];
				break;
			case "05":
				$datum_neu[1] = $monate['mai'][$lang];
				break;
			case "06":
				$datum_neu[1] = $monate['jun'][$lang];
				break;
			case "07":
				$datum_neu[1] = $monate['jul'][$lang];
				break;
			case "08":
				$datum_neu[1] = $monate['aug'][$lang];
				break;
			case "09":
				$datum_neu[1] = $monate['sep'][$lang];
				break;
			case "10":
				$datum_neu[1] = $monate['okt'][$lang];
				break;
			case "11":
				$datum_neu[1] = $monate['nov'][$lang];
				break;
			case "12":
				$datum_neu[1] = $monate['dez'][$lang];
				break;
		}
		if($datum_neu[2] != "00")
			$datum_neu[2] = $datum_neu[2] . ". ";
		else
			$datum_neu[2] = "";
		return($datum_neu);
	}

    
?>
