#evtl. existierende Tabellen lo:schen
#DROP VIEW IF EXISTS `%TABLE_PREFIX%skh3_view_personen`;
#DROP TRIGGER IF EXISTS `%TABLE_PREFIX%skh3_delete_restrict`;
#DROP TRIGGER IF EXISTS `%TABLE_PREFIX%skh3_update_cascade`;
#DROP TRIGGER IF EXISTS `%TABLE_PREFIX%skh3_update_seminare_lok`;
#DROP TRIGGER IF EXISTS `%TABLE_PREFIX%skh3_insert_seminare_lok`;
#DROP TRIGGER IF EXISTS `%TABLE_PREFIX%skh3_update_personen_lok`;
#DROP TRIGGER IF EXISTS `%TABLE_PREFIX%skh3_insert_personen_lok`;
#DROP TRIGGER IF EXISTS `%TABLE_PREFIX%skh3_update_seminartyp_lok`;
#DROP TRIGGER IF EXISTS `%TABLE_PREFIX%skh3_insert_seminartyp_lok`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_err_msg`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_foerdern`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_geldgeber`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_koop`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_partner`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_verantwortung`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_refis`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_leitung`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_personen_lok`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_personen`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_seminare_lok`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_seminare`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_waehrung`;
DROP TABLE IF EXISTS `%TABLE_PREFIX%skh3_seminartyp_lok`;

#neue Tabellen
#Seminartyp mit Lokalisierung
CREATE TABLE `%TABLE_PREFIX%skh3_seminartyp_lok` (
	typ_id TinyINT UNSIGNED NOT NULL,
	clang INT(11) NOT NULL,
	bezeichnung VARCHAR(255) NOT NULL UNIQUE,
	PRIMARY KEY (typ_id, clang)
	#CONSTRAINT fk_seminartyplok_clang FOREIGN KEY (clang) REFERENCES `%TABLE_PREFIX%clang`(id) ON DELETE RESTRICT ON UPDATE CASCADE
	) ENGINE=InnoDB DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;

#Waehrungen
CREATE TABLE `%TABLE_PREFIX%skh3_waehrung` (
	waehrung_id TinyINT UNSIGNED NOT NULL AUTO_INCREMENT,
	bezeichnung VARCHAR(100) NOT NULL UNIQUE,
	kurzform VARCHAR(10) NOT NULL UNIQUE,
	PRIMARY KEY (waehrung_id)
	) ENGINE=InnoDB DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;

#Seminare
CREATE TABLE `%TABLE_PREFIX%skh3_seminare` (
	seminar_id MEDIUMINT UNSIGNED NOT NULL,
	seminar_start DATE NOT NULL,
	seminar_ende DATE NOT NULL,
	seminar_ort VARCHAR(100) NOT NULL,
	seminar_typ TINYINT UNSIGNED NOT NULL DEFAULT 0,
	seminar_online ENUM('offline','online') DEFAULT 'offline' NOT NULL,
	PRIMARY KEY (seminar_id)
	) ENGINE=InnoDB DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
#Seminare Lokalisierung
CREATE TABLE `%TABLE_PREFIX%skh3_seminare_lok` (
	seminar_id MEDIUMINT UNSIGNED NOT NULL,
	clang INT(11) NOT NULL,
	titel VARCHAR(255) NOT NULL,
	untertitel VARCHAR(255) NOT NULL,
	beschreibung TEXT DEFAULT '' NOT NULL,
	kosten INT UNSIGNED NOT NULL DEFAULT 0,
	waehrung_id TinyINT UNSIGNED NOT NULL DEFAULT 0,
	zielgruppe VARCHAR(255) DEFAULT '',
	CONSTRAINT fk_seminarelok_seminare FOREIGN KEY (seminar_id) REFERENCES `%TABLE_PREFIX%skh3_seminare`(seminar_id) ON DELETE CASCADE ON UPDATE CASCADE,
	CONSTRAINT fk_seminarelok_waehrung FOREIGN KEY (waehrung_id) REFERENCES `%TABLE_PREFIX%skh3_waehrung`(waehrung_id) ON DELETE CASCADE ON UPDATE CASCADE
	#CONSTRAINT fk_seminarelok_clang FOREIGN KEY (clang) REFERENCES `%TABLE_PREFIX%clang`(id) ON DELETE RESTRICT ON UPDATE CASCADE	
	) ENGINE=InnoDB DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;

#Personen (Leitung, ReferentInnen, Verantwortliche)
CREATE TABLE `%TABLE_PREFIX%skh3_personen` (
	person_id MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT,
	vorname VARCHAR(255) NOT NULL,
	name VARCHAR(255) NOT NULL,
	UNIQUE (vorname, name), #voraussichtlich wird keine Orga zwei Personen mit dem selben Namen bescha:ftigen
	PRIMARY KEY (person_id)
	) ENGINE=InnoDB DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
#Personen Lokalisierung
CREATE TABLE `%TABLE_PREFIX%skh3_personen_lok` (
	person_id MEDIUMINT UNSIGNED NOT NULL,
	clang INT(11) NOT NULL,
	beschreibung TEXT DEFAULT '' NOT NULL,
	CONSTRAINT fk_personenlok_personen FOREIGN KEY (person_id) REFERENCES `%TABLE_PREFIX%skh3_personen`(person_id) ON DELETE RESTRICT ON UPDATE CASCADE
	#CONSTRAINT fk_seminarelok_clang FOREIGN KEY (clang) REFERENCES `%TABLE_PREFIX%clang`(id) ON DELETE RESTRICT ON UPDATE CASCADE
	) ENGINE=InnoDB DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
#Leitung
CREATE TABLE `%TABLE_PREFIX%skh3_leitung` (
	seminar_id MEDIUMINT UNSIGNED NOT NULL,
	person_id MEDIUMINT UNSIGNED NOT NULL,
	PRIMARY KEY (seminar_id, person_id),
	CONSTRAINT fk_leitung_seminare FOREIGN KEY (seminar_id) REFERENCES `%TABLE_PREFIX%skh3_seminare`(seminar_id) ON DELETE CASCADE ON UPDATE CASCADE,
	CONSTRAINT fk_leitung_personen FOREIGN KEY (person_id) REFERENCES `%TABLE_PREFIX%skh3_personen`(person_id) ON DELETE RESTRICT ON UPDATE CASCADE
	) ENGINE=InnoDB DEFAULT CHARACTER SET ascii COLLATE ascii_general_ci;
#Refi
CREATE TABLE `%TABLE_PREFIX%skh3_refis` (
	seminar_id MEDIUMINT UNSIGNED NOT NULL,
	person_id MEDIUMINT UNSIGNED NOT NULL,
	PRIMARY KEY (seminar_id, person_id),
	CONSTRAINT fk_refis_seminare FOREIGN KEY (seminar_id) REFERENCES `%TABLE_PREFIX%skh3_seminare`(seminar_id) ON DELETE CASCADE ON UPDATE CASCADE,
	CONSTRAINT fk_refis_personen FOREIGN KEY (person_id) REFERENCES `%TABLE_PREFIX%skh3_personen`(person_id) ON DELETE RESTRICT ON UPDATE CASCADE
	) ENGINE=InnoDB DEFAULT CHARACTER SET ascii COLLATE ascii_general_ci;
#Verantwortung
CREATE TABLE `%TABLE_PREFIX%skh3_verantwortung` (
	seminar_id MEDIUMINT UNSIGNED NOT NULL,
	person_id MEDIUMINT UNSIGNED NOT NULL,
	PRIMARY KEY (seminar_id, person_id),
	CONSTRAINT fk_verantwortung_seminare FOREIGN KEY (seminar_id) REFERENCES `%TABLE_PREFIX%skh3_seminare`(seminar_id) ON DELETE CASCADE ON UPDATE CASCADE,
	CONSTRAINT fk_verantwortung_personen FOREIGN KEY (person_id) REFERENCES `%TABLE_PREFIX%skh3_personen`(person_id) ON DELETE RESTRICT ON UPDATE CASCADE
	) ENGINE=InnoDB DEFAULT CHARACTER SET ascii COLLATE ascii_general_ci;

#Partner
CREATE TABLE `%TABLE_PREFIX%skh3_partner` (
	partner_id MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT,
	name VARCHAR(255) NOT NULL,
	webseite VARCHAR(255) NOT NULL DEFAULT '',
	PRIMARY KEY (partner_id),
	UNIQUE (name),
	UNIQUE (webseite) #Orgas haben vermutlich nie den selben Namen bzw. selbe Webseite	
	) ENGINE=InnoDB DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
#Zusammenarbeit
CREATE TABLE `%TABLE_PREFIX%skh3_koop` (
	seminar_id MEDIUMINT UNSIGNED NOT NULL,
	partner_id MEDIUMINT UNSIGNED NOT NULL,
	PRIMARY KEY (seminar_id,partner_id), 
	CONSTRAINT fk_koop_seminare FOREIGN KEY (seminar_id) REFERENCES `%TABLE_PREFIX%skh3_seminare`(seminar_id) ON DELETE CASCADE ON UPDATE CASCADE,
	CONSTRAINT fk_koop_partner FOREIGN KEY (partner_id) REFERENCES `%TABLE_PREFIX%skh3_partner`(partner_id) ON DELETE RESTRICT ON UPDATE CASCADE
	) ENGINE=InnoDB DEFAULT CHARACTER SET ascii COLLATE ascii_general_ci;
#Geldgeber (z.B. Dpjw, Stiftungen)
CREATE TABLE  `%TABLE_PREFIX%skh3_geldgeber` (
	geldgeber_id MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT,
	name VARCHAR(255) NOT NULL,
	webseite VARCHAR(255) NOT NULL DEFAULT '',
	PRIMARY KEY (geldgeber_id),
	UNIQUE (name),
	UNIQUE (webseite) 
	) ENGINE=InnoDB DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
#Wer welches Seminar fördert
CREATE TABLE  `%TABLE_PREFIX%skh3_foerdern` (
	seminar_id MEDIUMINT UNSIGNED NOT NULL,
	geldgeber_id MEDIUMINT UNSIGNED NOT NULL,
	PRIMARY KEY (seminar_id,geldgeber_id), 
	CONSTRAINT fk_foerd_seminare FOREIGN KEY (seminar_id) REFERENCES `%TABLE_PREFIX%skh3_seminare`(seminar_id) ON DELETE CASCADE ON UPDATE CASCADE,
	CONSTRAINT fk_foerd_geldgeber FOREIGN KEY (geldgeber_id) REFERENCES `%TABLE_PREFIX%skh3_geldgeber`(geldgeber_id) ON DELETE RESTRICT ON UPDATE CASCADE
	) ENGINE=InnoDB DEFAULT CHARACTER SET ascii COLLATE ascii_general_ci;




#Standard-Seminartyp deutsch
INSERT INTO `%TABLE_PREFIX%skh3_seminartyp_lok` (typ_id,clang,bezeichnung) VALUES (0,0,'k.A');
#Waehrungen
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Euro','EUR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Polnischer Zloty','PLN');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Ägyptisches Pfund','EGP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Albanischer Lek','ALL');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Algerischer Dinar','DZD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Argentinischer Peso','ARS');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Aruba-Florin','AWG');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Äthiopischer Birr','ETB');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Australischer Dollar','AUD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Bahama Dollar','BSD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Bahrain-Dinar','BHD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Bangladeschischer Taka','BDT');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Barbados-Dollar','BBD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Belarusian Rubel','BYR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Belize-Dollar','BZD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Bermuda-Dollar','BMD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Bhutanischer Ngultrum','BTN');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Bolivianischer Boliviano','BOB');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Botswanischer Pula','BWP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Brasilianischer Real','BRL');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Britisches Pfund','GBP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Brunei-Dollar','BND');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Bulgarischer Lew','BGN');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Burundi-Franc','BIF');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('CFA Franc BCEAO','XOF');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Chilenischer Peso','CLP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Chinesischer Renminbi','CNY');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Costa-Rican-Colón','CRC');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Dänische Krone','DKK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Djibouti-Franc','DJF');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Dominikanischer Peso','DOP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Ecuadorianischer Sucre','ECS');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('El-Salvador-Colon','SVC');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Eritreischer Nafra','ERN');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Estnische Krone','EEK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Falkland Pfund','FKP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Fidschi Dollar','FJD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Französischer Pazifischer Franc','XPF');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Gambischer Dalasi','GMD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Ghanaischer Cedi','GHC');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Gibraltar-Pfund','GIP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Guatemaltekischer Quetzal','GTQ');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Guinea-Franc','GNF');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Guyana-Dollar','GYD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Haitianische Gourde','HTG');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Honduranische Lempira','HNL');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Hong-Kong Dollar','HKD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Indische Rupie','INR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Indonesische Rupie','IDR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Irakischer Dinar','IQD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Iranischer Rial','IRR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Isländische Krone','ISK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Israelischer Schekel','ILS');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Jamaika-Dollar','JMD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Japanischer Yen','JPY');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Jordanischer Dinar','JOD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Kaiman-Dollar','KYD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Kambodschanischer Riel','KHR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Kanadischer Dollar','CAD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Kape-Verde-Escudo','CVE');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Katar Rial','QAR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Kazakhstani Tenge','KZT');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Kenianischer Schilling','KES');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Kolumbianischer Peso','COP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Komoren-Franc','KMF');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Kroatische Kuna','HRK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Kubanischer Peso','CUP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Kuwaitischer Dinar','KWD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Laotischer Kip','LAK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Lesothischer Loti','LSL');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Lettischer Lats','LVL');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Libanesisches Pfund','LBP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Liberianischer Dollar','LRD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Libyscher Dinar','LYD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Litauischer Litas','LTL');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Macau Pataca','MOP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Malawi-Kwacha','MWK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Malaysischer Ringgit','MYR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Maledivischer Rufiyan','MVR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Maltesische Lira','MTL');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Marrokanischer Dirham','MAD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Mauretanischer Ouguiya','MRO');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Mauritius-Rupie','MUR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Mazedonischer Denar','MKD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Mexikanischer Peso','MXN');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Moldau-Leu','MDL');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Mongolisher Tugrik','MNT');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Myanmarischer Kyat','MMK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Namibischer Dollar','NAD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Nepalesische Rupie','NPR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Neuseeländischer Dollar','NZD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Nicaraguanischer Cordoba','NIO');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Nigerianische Naira','NGN');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('NL-Antillen-Gulden','ANG');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Nordkoreanischer Won','KPW');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Norwegische Krone','NOK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Omanischer Rial','OMR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Ostkaribischer Dollar','XCD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Pakistanische Rupie','PKR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Panamesisches Balboa','PAB');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Papua-Neuguinea-Kina','PGK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Paraguay Guarani','PYG');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Peruanischer Sol','PEN');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Philippinischer Peso','PHP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Ruanda-Franc','RWF');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Rumänischer Leu','RON');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Russischer Rubel','RUB');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Salomonen-Dollar','SBD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Sambischer Kwacha','ZMK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Sao Tome Dobras','STD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Saudiarabischer Rial','SAR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Schwedische Krone','SEK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Schweizer Franken','CHF');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Seychellen-Rupie','SCR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Sierraleonische Leone','SLL');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Simbabwe-Dollar','ZWD');                 
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Singapur Dollar','SGD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Slovakische Krone','SKK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Slovenischer Tolar','SIT');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Somalischer Schilling','SOS');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Sri-Lanka-Rupie','LKR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('St. Helena Pfund','SHP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Südafrikanischer Rand','ZAR');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Sudanesisches Pfund','SDG');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Südkoreanische Won','KRW');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Swasiländischer Lilangeni','SZL');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Syrisches Pfund','SYP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Taiwanesischer Dollar','TWD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Tansania-Schilling','TZS');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Thailändischer Baht','THB');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Tongaische Paanga','TOP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Trinidad/Tobago Dollar','TTD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Tschechische Krone','CZK');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Tunesischer Dinar','TND');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Türkische Lira','TRY');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Uganda Schilling','UGX');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Ukrainische Griwna','UAH');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Ungarische Forint','HUF');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Unzen Aluminium','XAL');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Unzen Kupfer','XCP');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Unzen Palladium','XPD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Unzen Platin','XPT');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Unzen Silber','XAG');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Uruguayischer Peso','UYU');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('US-Dollar','USD');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('VAE-Dirham','AED');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Vanuatu-Vatu','VUV');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Venezuelanischer Bolivar Fuerte','VEF');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Vietnamesischer Dong','VND');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('West-Samoanischer Tala','WST');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Yemeni Rial','YER');
INSERT INTO `%TABLE_PREFIX%skh3_waehrung` (bezeichnung, kurzform) VALUES ('Zentraler Afrikaner CfA BEAC','XAF');


#Fehlermeldungen fu:r Trigger
CREATE TABLE `%TABLE_PREFIX%skh3_err_msg` (
	msg VARCHAR(80),
	PRIMARY KEY (msg)
	) ENGINE=MyISAM DEFAULT CHARACTER SET ascii COLLATE ascii_general_ci;
INSERT INTO `%TABLE_PREFIX%skh3_err_msg` VALUES ('Foreign Key Constraint Violated! Sprache nicht vorhanden');
INSERT INTO `%TABLE_PREFIX%skh3_err_msg` VALUES ('Foreign Key Constraint Violated! Es existieren noch lokalisierte Datensätze');

#Trigger fu:r Integrita:t mit rex_clang
#DELIMITER |

#INSERT & UPDATE seminartyp_lok
#CREATE TRIGGER `%TABLE_PREFIX%skh3_insert_seminartyp_lok`
#BEFORE INSERT 
#ON `%TABLE_PREFIX%skh3_seminartyp_lok`
#FOR EACH ROW BEGIN
#  IF(SELECT COUNT(*) FROM rex_clang WHERE id=new.clang)=0 THEN
#    INSERT INTO err_msg VALUES ('Foreign Key Constraint Violated! Sprache nicht vorhanden');
#  END IF;
#END;|
#CREATE TRIGGER `%TABLE_PREFIX%skh3_update_seminartyp_lok`
#BEFORE UPDATE
#ON `%TABLE_PREFIX%skh3_seminartyp_lok`
#FOR EACH ROW BEGIN
#  IF(SELECT COUNT(*) FROM rex_clang WHERE id=new.clang)=0 THEN
#    INSERT INTO err_msg VALUES ('Foreign Key Constraint Violated! Sprache nicht vorhanden');
#  END IF;
#END;|

#INSERT & UPDATE personen_lok
#CREATE TRIGGER `%TABLE_PREFIX%skh3_insert_personen_lok`
#BEFORE INSERT 
#ON `%TABLE_PREFIX%skh3_personen_lok`
#FOR EACH ROW BEGIN
#  IF(SELECT COUNT(*) FROM rex_clang WHERE id=new.clang)=0 THEN
#    INSERT INTO err_msg VALUES ('Foreign Key Constraint Violated! Sprache nicht vorhanden');
#  END IF;
#END;|
#CREATE TRIGGER `%TABLE_PREFIX%skh3_update_personen_lok`
#BEFORE UPDATE 
#ON `%TABLE_PREFIX%skh3_personen_lok`
#FOR EACH ROW BEGIN
#  IF(SELECT COUNT(*) FROM rex_clang WHERE id=new.clang)=0 THEN
#    INSERT INTO err_msg VALUES ('Foreign Key Constraint Violated! Sprache nicht vorhanden');
#  END IF;
#END;|

#INSERT & UPDATE seminare_lok
#CREATE TRIGGER `%TABLE_PREFIX%skh3_insert_seminare_lok`
#BEFORE INSERT 
#ON `%TABLE_PREFIX%skh3_seminare_lok`
#FOR EACH ROW BEGIN
#  IF(SELECT COUNT(*) FROM rex_clang WHERE id=new.clang)=0 THEN
#    INSERT INTO err_msg VALUES ('Foreign Key Constraint Violated! Sprache nicht vorhanden');
#  END IF;
#END;|
#CREATE TRIGGER `%TABLE_PREFIX%skh3_update_seminare_lok`
#BEFORE UPDATE
#ON `%TABLE_PREFIX%skh3_seminare_lok`
#FOR EACH ROW BEGIN
#  IF(SELECT COUNT(*) FROM rex_clang WHERE id=new.clang)=0 THEN
#    INSERT INTO err_msg VALUES ('Foreign Key Constraint Violated! Sprache nicht vorhanden');
#  END IF;
#END;|

#clang update cascade
#CREATE TRIGGER `%TABLE_PREFIX%skh3_update_cascade`
#AFTER UPDATE
#ON rex_clang
#FOR EACH ROW
#BEGIN
#  UPDATE `%TABLE_PREFIX%skh3_seminartyp_lok` SET clang=new.id WHERE clang=old.id;
#  UPDATE `%TABLE_PREFIX%skh3_personen_lok` SET clang=new.id WHERE clang=old.id;
#  UPDATE `%TABLE_PREFIX%skh3_seminare_lok` SET clang=new.id WHERE clang=old.id;
#END;|

#ON DELETE RESTRICT
#CREATE TRIGGER `%TABLE_PREFIX%skh3_delete_restrict`
#BEFORE DELETE
#ON rex_clang
#FOR EACH ROW BEGIN
#  IF(SELECT COUNT(*) FROM `%TABLE_PREFIX%skh3_seminartyp_lok` WHERE clang=old.id)!=0 THEN
#    INSERT INTO err_msg VALUES ('Foreign Key Constraint Violated! Es existieren noch lokalisierte Datensätze');
#  END IF;
#  IF(SELECT COUNT(*) FROM `%TABLE_PREFIX%skh3_personen_lok` WHERE clang=old.id)!=0 THEN
#    INSERT INTO err_msg VALUES ('Foreign Key Constraint Violated! Es existieren noch lokalisierte Datensätze');
#  END IF;
#  IF(SELECT COUNT(*) FROM `%TABLE_PREFIX%skh3_seminare_lok` WHERE clang=old.id)!=0 THEN
#    INSERT INTO err_msg VALUES ('Foreign Key Constraint Violated! Es existieren noch lokalisierte Datensätze');
#  END IF;
#END;|

#Trigger für Seminartyp einbauen

#DELIMITER ;
