<?php
	$seminar_id = rex_request('seminar_id', 'int');
	$sql = rex_sql::factory();
	//DB-Abfragen, einzeln, dicke JOINS möglichst vermeiden, und dann alles in Variablen stopfen
	//nötige Variablen
	$seminar_start = '';
	$seminar_ende = '';
	$seminar_ort = '';
	$titel = '';
	$untertitel = '';
	$beschreibung = '';
	$kosten = 0.0;
	$waehrung = '';
	$zielgruppe = '';
	$refis = array();
	$leitung = array();
	$verantwortung = array();
	$partner = array();
	$geldgeber = array();
	
	//Stammdaten
	$queryStammdaten = 'SELECT seminar_start, seminar_ende, seminar_ort FROM '.$REX['TABLE_PREFIX'].'skh3_seminare WHERE seminar_id = '.$seminar_id.';';
	if($sql->setQuery($queryStammdaten))
	{
		$sql->getRow();
		$seminar_start = $sql->getValue('seminar_start');
		$seminar_ende = $sql->getValue('seminar_ende');
		$seminar_ort = htmlspecialchars_decode($sql->getValue('seminar_ort'),ENT_QUOTES);
	}
	else
		echo 'Fehler beim Lesen der Stammdaten';
	$sql->freeResult();
	//Lokalisiertes
	$querySemLok = 'SELECT titel, untertitel, beschreibung, kosten, kurzform, zielgruppe FROM '.$REX['TABLE_PREFIX'].'skh3_seminare_lok AS lok
		INNER JOIN '.$REX['TABLE_PREFIX'].'skh3_waehrung AS cur
		ON  lok.waehrung_id = cur.waehrung_id
		WHERE seminar_id = '.$seminar_id.' AND lok.clang = '.$REX['CUR_CLANG'].';';
	if($sql->setQuery($querySemLok))
	{
		$sql->getRow();
		$titel = htmlspecialchars_decode($sql->getValue('titel'),ENT_QUOTES);
		$untertitel = htmlspecialchars_decode($sql->getValue('untertitel'),ENT_QUOTES);
		$beschreibung = htmlspecialchars_decode($sql->getValue('beschreibung'),ENT_QUOTES);
		$kosten = $sql->getValue('kosten');
		$waehrung = $sql->getValue('kurzform');
		$zielgruppe = htmlspecialchars_decode($sql->getValue('zielgruppe'),ENT_QUOTES);
	}
	else
		echo 'Fehler beim Lesen der Lokalisierung: '.$sql->getError();
	$sql->freeResult();
	//refis
	$queryRefis = 'SELECT pers.person_id, name, vorname FROM '.$REX['TABLE_PREFIX'].'skh3_refis AS refis
		INNER JOIN '.$REX['TABLE_PREFIX'].'skh3_personen AS pers 
		ON pers.person_id = refis.person_id 
		WHERE refis.seminar_id='.$seminar_id.';';
	$refis = $sql->getArray($queryRefis);
	$sql->freeResult();
	//leitung
	$queryLeitung = 'SELECT pers.person_id, name, vorname FROM '.$REX['TABLE_PREFIX'].'skh3_leitung AS leitung
		INNER JOIN '.$REX['TABLE_PREFIX'].'skh3_personen AS pers 
		ON pers.person_id = leitung.person_id 
		WHERE leitung.seminar_id='.$seminar_id.';';
	$leitung = $sql->getArray($queryLeitung);
	$sql->freeResult();
	//Verantwortung
	$queryVerantwortung = 'SELECT pers.person_id, name, vorname FROM '.$REX['TABLE_PREFIX'].'skh3_verantwortung AS verantw
		INNER JOIN '.$REX['TABLE_PREFIX'].'skh3_personen AS pers 
		ON pers.person_id = verantw.person_id 
		WHERE verantw.seminar_id='.$seminar_id.';';
	$verantwortung = $sql->getArray($queryVerantwortung);
	$sql->freeResult();
	//partner
	$queryPartner = 'SELECT partner.partner_id, name, webseite FROM '.$REX['TABLE_PREFIX'].'skh3_koop AS koop
		INNER JOIN '.$REX['TABLE_PREFIX'].'skh3_partner AS partner 
		ON partner.partner_id = koop.partner_id 
		WHERE koop.seminar_id='.$seminar_id.';';
	$partner = $sql->getArray($queryPartner);
	$sql->freeResult();
	//Geldgeber
	$queryGeldgeber = 'SELECT geldgeber.geldgeber_id, name, webseite FROM '.$REX['TABLE_PREFIX'].'skh3_foerdern AS foerd
		INNER JOIN '.$REX['TABLE_PREFIX'].'skh3_geldgeber AS geldgeber 
		ON geldgeber.geldgeber_id = foerd.geldgeber_id 
		WHERE foerd.seminar_id='.$seminar_id.';';
	$geldgeber = $sql->getArray($queryGeldgeber);
	$sql->freeResult();
	//Ende Variablen holen
	
	//Seminar ausgeben
?>
	<h1><?php echo($titel); ?></h1>
	<p><strong>
	<?php
		//Untertitel
		if($untertitel != '') 
			echo($untertitel." <br/>\n");
		//Datum
		if($seminar_start != $seminar_ende) 
		{
			$start = date_mask($seminar_start, 'de');
			$ende = date_mask($seminar_ende, 'de');
			if($start[0] == $ende[0]) //wenn Jahr identisch
			{
				if($start[1] == $ende[1]) //wenn Monat Identisch
					echo($start[2] . " bis " . $ende[2] . $ende[1] . " " . $ende[0] . "<br/>\n");
				else
					echo($start[2] . $start[1] . " bis " . $ende[2] . $ende[1] . " " . $ende[0] . "<br/>\n");
			}
			else
				print($start[2] . $start[1] . " " . $start[0] ." bis " . $ende[2] . $ende[1] . " " . $ende[0] . "<br/>\n");
		}
		else 
		{
			$start = date_mask($seminar_start, 'de');
			echo($start[2] . $start[1] . " " . $start[0] . "<br/>\n");
		}
		//Ort
		echo("in ".$seminar_ort."<br/>\n");
		//Kosten
		if ($kosten > 0.0) 
			echo("Kosten: ".$kosten." ".$waehrung."<br/>\n");
		//Partner
		if(count($partner)>0)
		{
			echo 'Partner: ';
			for($i = 0; $i < count($partner); $i++)
			{
				if($i>0)
					echo ', ';
				if(empty($partner[$i][webseite]))
					echo htmlspecialchars_decode($partner[$i][name],ENT_QUOTES);
				else
					echo '<a href="'.htmlspecialchars_decode($partner[$i][webseite],ENT_QUOTES).'" target="_blank">'.htmlspecialchars_decode($partner[$i][name],ENT_QUOTES).'</a>';
			}
			echo "<br />\n"; 
		}
		//Geldgeber
		if(count($geldgeber)>0)
		{
			echo 'Gefördert durch: ';
			for($i = 0; $i < count($geldgeber); $i++)
			{
				if($i>0)
					echo ', ';
				if(empty($geldgeber[$i][webseite]))
					echo htmlspecialchars_decode($geldgeber[$i][name],ENT_QUOTES);
				else
					echo '<a href="'.htmlspecialchars_decode($geldgeber[$i][webseite],ENT_QUOTES).'" target="_blank">'.htmlspecialchars_decode($geldgeber[$i][name],ENT_QUOTES).'</a>';
			}
			echo "<br />\n"; 
		}
		//Leitung
    if(count($leitung)>0) 
    {
			echo 'Leitung: ';
			for($i = 0; $i < count($leitung); $i++)
			{
				if($i>0)
					echo ', ';
				echo htmlspecialchars_decode($leitung[$i][vorname],ENT_QUOTES).' '.htmlspecialchars_decode($leitung[$i][name],ENT_QUOTES);
			}
			echo "<br />\n"; 
		}
		//Verantwortung          
		if(count($verantwortung) > 0) 
		{
			echo 'verantwortlich: ';
			for($i = 0; $i < count($verantwortung); $i++)
			{
				if($i>0)
					echo ', ';
				echo htmlspecialchars_decode($verantwortung[$i][vorname],ENT_QUOTES).' '.htmlspecialchars_decode($verantwortung[$i][name],ENT_QUOTES);
			}
			echo "<br />\n"; 
		}
		//ReferentInnen
		if(count($refis) > 0)
		{
			if(count($refis) > 1) //fall mehrere ReferentInnen am Start sind
				echo 'ReferentInnen: ';
			else
				echo 'ReferentIn: ';
			for($i = 0; $i < count($refis); $i++)
			{
				if($i>0)
					echo ', ';
				echo htmlspecialchars_decode($refis[$i][vorname],ENT_QUOTES).' '.htmlspecialchars_decode($refis[$i][name],ENT_QUOTES);
				$sqlRefBeschr = 'SELECT beschreibung FROM '.$REX['TABLE_PREFIX'].'skh3_personen_lok WHERE person_id='.$refis[$i][person_id].' AND clang = '.$REX['CUR_CLANG'].';';
				if($sql->setQuery($sqlRefBeschr))
				{
					$sql->getRow();
					$refis[$i][beschreibung] = $sql->getValue('beschreibung');
				}
				else
					echo 'Fehler beim Holen der Refi-Beschreibung';
			}
			echo "<br />\n"; 
		}
		//Zielgruppe
		if($zielgruppe != "") 
			echo("Zielgruppe: ".$zielgruppe."<br/>\n");
	?>
	</strong></p>
	<p>
	<?php 
		if(OOAddon::isAvailable("textile"))
			echo rex_a79_textile(htmlspecialchars_decode($beschreibung));
		else
			echo 'Für die Ausgabe der Beschreibung ist das Textile-Addon erforderlich';
	?>
	</p>
	<?php
		//Beschreibungen Refis
		for($i = 0; $i < count($refis); $i++)
		{
			if(!empty($refis[$i][beschreibung]))
			{
				echo '<h3>Über '.htmlspecialchars_decode($refis[$i][vorname],ENT_QUOTES).' '.htmlspecialchars_decode($refis[$i][name],ENT_QUOTES).'</h3>';
				if(OOAddon::isAvailable("textile"))
					echo rex_a79_textile(htmlspecialchars_decode($refis[$i][beschreibung]));
				else
					echo 'Für die Ausgabe der Beschreibung ist das Textile-Addon erforderlich';
				echo '<p>&nbsp;</p>';
			}
		}
		//Anmeldelink
		echo '<p><strong><a href="'.rex_getUrl(39).'&amp;seminar_id='.$seminar_id.'&amp;clang='.$REX['CUR_CLANG'].'">jetzt anmelden</a></strong></p>';
	?>
